مشكلة مع محاكي اندرويد


#1

لم اتمكن من تشغيل المحاكي
في السابق كان لدي مشكلة شاشة الموت الزرقاء
الان تعاملت معها لكن لا زلت لا استطيع تشغيل المحاكي
لا المحاكي التقليدي ولا جينيموشن

تضهر لي هذه الرسالة


#2

على فرض انك تستخدم “جيني موشن”
قد تكون المشكلة في جيني موشن نفسها لذا جرب تشغيل المحاكي من جيني موشن وليس من بيئة التطوير اذا لم يعمل تاكد من ان virtual box الخاص بك سليم وتاكد من انك قمت بتثبيت Extension Pack الخاص ب virtual box
اما اذا كان يعمل تاكد من انك لم تقم بتسبيب اخطاء في ملف ال build gradle
وقد تكون المشكلة عدم توافق بين gradle , build-tools , crashalics
ربما كان سيفيد اكثر لو قمت باضافة المزيد من المعلومات


#3

لا اعرف تشخيص الحالة لاعطيك المزيد من المعلومات
ماهو build gradle وكيف اصلح اخطائه ان تواجدت
وكيف اعرف هل هي متوافقة ام لا

اذا لم استطع الوصول الى حل ربما تايمفيور واعطيك صلاحية الدخول لجهازي لمساعدتي افضل


#4

جيني مويشن يشتغل لكن في اندريو ستوديو لا يطبق الكود … فقط يفتح بشكل موازي


#5

جيد اذا ارسل لي محتويات ملف ال
build.gradle(Moudel : app) و ال build.gradle(Project
حتى افهم المشكلة أكثر
وتاكد من أنك أنشئت المشروع على نسخة API 26 لان الجيني موشن لديك يعمل على اصدار API 26 اذ لم تتذكر
ادخل إلى ملف build.gradle(Moudel : app)
وتأكد من أن السطرين التاليين بالكود لديك كالتالي
compileSdkVersion 26
buildToolsVersion “26.0.0”


#6

وجدت 26 و26.0.0 ؟؟؟ لما لا يعمل اذا
هذه الصورة كاملة

سؤال اخر عندما حدثت الابديت ضهرت هذه الرسالة


#7

مرحبا.
المشكلة الثانية لم افهمها لانها ربما بالفرنسية
لذا اعود للمشكلة لاولى المشكلة التي تظهر لديك يوجد اسباب عديدة لحدوثها
لذا ربما تكون من طريقة الاتصال بالانترنت التي تملكها اذا كانت تتصل عبر خادم يحتاج الى بروكسي او شي من هذا القبيل
وايضا باعتبار انك تبرمج مشروع على API 26
هل تملك SDK الخاص ب API 26 ?
وهل جربت عمل مشروع جديد حتى تتاكد اذا كانت المشكلة في كودك او في البيئة نفسها
شي اخر لن يقوم بحل المشكلة عموما لكن مهم قم بتقليل نسخة ال minSdkVersion
الى 20 او 15 ربما